package kr.co.hanwha.hifive.data.model;

/**
 * Created by sanghoonkwon on 2018. 1. 11..
 */

public class TaskData {
    int flag;
    /**
     * ex) 325
     */
    int task_id;
    /**
     * ex) "아이폰 send Request test"
     */
    String task_name;
    /**
     * ex) 264
     */
    int author_member_id;
    /**
     * ex) 264
     */
    int member_id;
    /**
     * ex)
     */
    String member_name;
    /**
     * ex)
     */
    String member_profile_url;
    /**
     * ex) 32
     */
    int project_id;
    /**
     * ex) "NewGW-Dev"
     */
    String project_name;
    /**
     *
     */
    int track_id;
    /**
     * ex) "2017-10-20 23:59:59.0"
     */
    String due_to;
    /**
     * ex) "+09:00"
     */
    String timezone;
    /**
     * ex) "11000"
     */
    String repeat_day;
    /**
     * ex) "test test"
     */
    String description;
    /**
     * ex) 0
     */
    int evaluation;
    /**
     * ex) true
     */
    boolean is_today;
    /**
     * ex) 30
     */
    int status;

    /**
     * ex) "2017-10-19 13:19:35.0"
     */
    String created_at;
    /**
     * ex) "2017-10-19 13:19:35.0"
     */
    String updated_at;

    String finished_at;

    String closed_at;

    public String getCreated_at() {
        return created_at;
    }

    public String getUpdated_at() {
        return updated_at;
    }

    public String getFinished_at() {
        return finished_at;
    }

    public String getClosed_at() {
        return closed_at;
    }

    public int getFlag() {
        return flag;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getTask_name() {
        return task_name;
    }

    public String getDue_to() {
        return due_to;
    }

    public int getAuthor_member_id() {
        return author_member_id;
    }

    public int getTask_id() {
        return task_id;
    }

    public int getProject_id() {
        return project_id;
    }

    public String getProject_name() {
        return project_name;
    }

    public int getTrack_id() {
        return track_id;
    }

    public String getRepeat_day() {
        return repeat_day;
    }

    public void setRepeat_day(String repeat_day) {
        this.repeat_day = repeat_day;
    }

    public String getTimezone() {
        return timezone;
    }

    public String getDescription() {
        return description;
    }

    public int getEvaluation() {
        return evaluation;
    }

    public boolean isIs_today() {
        return is_today;
    }

    public void setIs_today(boolean is_today) {
        this.is_today = is_today;
    }

    public int getMember_id() {
        return member_id;
    }

    public String getMember_name() {
        return member_name;
    }

    public String getMember_profile_url() {
        return member_profile_url;
    }

    public void setTask_name(String task_name) {
        this.task_name = task_name;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public void setDue_to(String due_to) {
        this.due_to = due_to;
    }


}
